Bug 740463 - sealert: set prgname to setroubleshoot
Summary: sealert: set prgname to setroubleshoot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 06:48 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:52:42 UTC


Attachments (Terms of Use)
propsed patch (331 bytes, patch)
2011-09-22 08:29 UTC, Jiri Moskovcak
no flags Details | Diff

Description Jiri Moskovcak 2011-09-22 06:48:44 UTC
Description of problem:
Gnome3 (and all "modern" desktops) uses prgname to find the desktop file and reads the icon name from it and also uses it group the windows with same prgname. Without this the icons can be blury. The other reason is that libreport can read prgname and set it to the same value, so the reporting wizard is grouped with the main sealert window and has the same icon.

Attached the image of blurry sealert icon and in Gnome3

Comment 2 Jiri Moskovcak 2011-09-22 08:29:25 UTC
Created attachment 524348 [details]
propsed patch

(In reply to comment #1)
> The patch
> 
> https://fedorahosted.org/setroubleshoot/attachment/ticket/12/setroubleshoot-prgname.patch

- that patch doesn't seem to work for me, apparently, the set_prgname has to be called before import gtk

Comment 3 Daniel Walsh 2011-11-11 16:45:46 UTC
I lost this bug in the flood, and I have no problem doing this.

Fixed in setroubleshoot-3.0.42

Comment 4 Fedora End Of Life 2013-01-17 01:43:37 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-14 02:52:45 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.